Subject: Re: [PATCH net-next] net: remove sk_init() helper

From: Shan Wei <[email-masked]>
Date: Wed, 26 Sep 2012 11:51:31 +0800

Eric Dumazet said, at 2012/9/26 10:23:
> On Wed, 2012-09-26 at 10:07 +0800, Shan Wei wrote:
>> Eric Dumazet said, at 2012/9/26 5:32:
>>> From: Eric Dumazet <[email-masked]>
>>>
>>> It seems sk_init() has no value today and even does strange things :
>>>
>>> # grep . /proc/sys/net/core/?mem_*
>>> /proc/sys/net/core/rmem_default:212992
>>> /proc/sys/net/core/rmem_max:131071
>>> /proc/sys/net/core/wmem_default:212992
>>> /proc/sys/net/core/wmem_max:131071
>>>
>>> We can remove it completely.
>>
>> Ye, I have reported this problem.
>> http://lists.openwall.net/netdev/2012/04/27/49
>>
>> How about for small RAM ~16M?
> 
> It was maybe a concern 20 years ago, ( I ran linux on [34]86 computers
> with 12 or 16 MB of memory) but this makes no sense today with linux-3.7

I never play so lower memory computer. :-(
And now so lower memory device die out.

Reviewed-by: Shan Wei <[email-masked]>